Description

Ok, I apologize up front if this is covered somewhere, but I have not been able to find it -- thus this ticket.  :)

I am looking for a way to create and manipulate tickets, projects, etc from the command line.  I need to be able to automate the

creation of some projects and tickets and tie it in to the other scripts running.

Is this already possible?  If so, how!? ;)  If not, would it be possible to add this?

Thanks!

History

#1 - 2008-11-14 09:02 - Anh Kỳ Huỳnh

Robert Chady wrote:

Is this already possible?  If so, how!? ;)  If not, would it be possible to add this?

 I think this is possible. You may write some scripts using cURL <http://curl.haxx.se> :)

#2 - 2009-03-11 17:39 - Dave Nolan

Hello,

I've started a project to do this: http://github.com/textgoeshere/redcmd.

Dave

#3 - 2009-12-29 19:23 - Nikolay Kotlyarov

Wait for #1214 and your problem would be solved:)

#4 - 2013-03-17 09:31 - Ivan Cenov

REST API for issues

http://www.redmine.org/projects/redmine/wiki/Rest_Issues

#5 - 2013-03-17 09:44 - Daniel Felix

- Status changed from New to Closed

I close this issue.

You can create issues with the REST-API as mentioned above.

Best regards,

Daniel

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://curl.haxx.se
http://github.com/textgoeshere/redcmd
https://www.redmine.org/issues/1214
http://www.redmine.org/projects/redmine/wiki/Rest_Issues
http://www.tcpdf.org

